What version of Redhat do I need to run on HP Pavilion Elite e9180f ?